### Function

# Ide EditorAddin find_by_module_name

#### Declaration

    IdeEditorAddin*
    ide_editor_addin_find_by_module_name (
      IdeEditorSurface* editor,
      const gchar* module_name
    )

#### Description

This function allows locating an `IdeEditorAddin` that is attached to the `IdeEditorSurface` by the addin module name. The module name should match the value specified in the “.plugin” module definition.

Available since: | 3.32

#### Parameters

`editor` | `IdeEditorSurface`
| An `IdeEditorSurface`.
| The data is owned by the caller of the function.
`module_name` | `const gchar*`
| The module name of the addin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeEditorAddin`
| An `IdeEditorAddin` or `NULL`.
| The data is owned by the called function.
| The return value can be `NULL`.